GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
sockaddr_resolver Struct Reference

## Data Fields
grpc_resolver | base
| base class: must be first More...
gpr_refcount | refs
| refcount More...
grpc_subchannel_factory * | subchannel_factory
| subchannel factory More...
grpc_lb_policy *(* | lb_policy_factory )(grpc_subchannel **subchannels, size_t num_subchannels)
| load balancing policy factory More...
struct sockaddr_storage | addr
| the address that we've 'resolved' More...
int | addr_len
gpr_mu | mu
| mutex guarding the rest of the state More...
int | published
| have we published? More...
grpc_iomgr_closure * | next_completion
| pending next completion, or NULL More...
grpc_client_config ** | target_config
| target config address for next completion More...

## Field Documentation

struct sockaddr_storage sockaddr_resolver::addr

the address that we've 'resolved'

int sockaddr_resolver::addr_len

grpc_resolver sockaddr_resolver::base

base class: must be first

grpc_lb_policy*(* sockaddr_resolver::lb_policy_factory)(grpc_subchannel **subchannels, size_t num_subchannels)

load balancing policy factory

gpr_mu sockaddr_resolver::mu

mutex guarding the rest of the state

grpc_iomgr_closure* sockaddr_resolver::next_completion

pending next completion, or NULL

int sockaddr_resolver::published

have we published?

gpr_refcount sockaddr_resolver::refs

refcount

grpc_subchannel_factory* sockaddr_resolver::subchannel_factory

subchannel factory

grpc_client_config** sockaddr_resolver::target_config

target config address for next completion

The documentation for this struct was generated from the following file:

- src/core/client_config/resolvers/sockaddr_resolver.c